> For the complete documentation index, see [llms.txt](https://docs.vectra.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vectra.ai/reference/rspan-and-erspan-support.md).

# RSPAN and ERSPAN support

As of v9.10, Vectra Sensors can decapsulate ERSPAN traffic. RSPAN is also supported as long as it arrives with no more than two VLAN tags. Please continue reading for more details.

**RSPAN vs ERSPAN:**

* RSPAN encapsulates SPAN traffic in a VLAN tag, permitting its encapsulation across VLAN trunk links between switches. This traffic remains at layer 2.
* ERSPAN encapsulates SPAN traffic in a Layer 3 header. It is proprietary and only supported by Cisco switches. This traffic may be routed across networks.

### RSPAN

Vectra sensors DO support VLAN tags within VLAN traffic (known as Q-in-Q). If RSPAN is used to encapsulate VLAN tagged traffic it is likely that no further action is required, however, the traffic must arrive at the sensor with no more than two VLAN tags.

It may be required that the switch be configured to strip the outer layer of VLAN tag prior to presenting the traffic to the Sensor. The switch vendor should be engaged to validate the configuration and ensure that there are no compatibility or performance issues associated with this configuration.

### ERSPAN

Vectra Sensors support ERSPAN as of v9.10.

You can enable ERSPAN encapsulation under *Configuration* → COVERAGE → *Data Sources.* Visit [Encapsulation Endpoints (GRE, ERSPAN, GENEVE, VXLAN)](/deployment/traffic-engineering-and-validation/encapsulation-endpoints-gre-erspan-geneve-vxlan.md) for configuration assistance.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vectra.ai/reference/rspan-and-erspan-support.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
